package processo;

import _framework.*;
import gui.*;
import distributore.*;
import attivitaatomiche.*;

public class AttivitaSottoramoCibo implements Runnable {
	private boolean eseguita=false;
	private Scontrino scontrinoCorrente=null;
	private boolean ancoraCibo=true;
	private RecordAlimento alimentoSelezionato;
	
	public AttivitaSottoramoCibo(Scontrino scontrinoCorrente){
		this.scontrinoCorrente=scontrinoCorrente;
	}
		
	public synchronized void run() {
		if (eseguita)
			return;
		eseguita = true;
		
		while(ancoraCibo){
			LeggiCibi leggiCibi = new LeggiCibi();
			Executor.perform(leggiCibi);
			
			alimentoSelezionato = AttivitaIO.selezioneCibo(leggiCibi.getRisultato());
			
			AggiornaScontrino aggiornaScontrino = new AggiornaScontrino(alimentoSelezionato, scontrinoCorrente);
			Executor.perform(aggiornaScontrino);
			
			ancoraCibo = AttivitaIO.altroCibo();
		}
	}
}
